Skip to main content
POST
/
graphql#ListIntegrations
List integrations
curl --request POST \
  --url 'https://clarus-api.com/graphql#ListIntegrations' \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'X-Clarus-Subdomain: <api-key>' \
  --data '
{
  "query": "query($filter: IntegrationFilterType) { integrations { all(filter: $filter) { edges { node { id name integration_provider integration_type status enabled created_at } } } } }"
}
'
{
  "data": {
    "integrations": {
      "all": {
        "edges": [
          {
            "node": {
              "id": "1",
              "name": "Shopify Store",
              "integration_provider": "shopify",
              "integration_type": "ecommerce",
              "status": "active",
              "enabled": true,
              "created_at": "2026-01-10T12:00:00Z"
            }
          }
        ]
      }
    }
  }
}

Query Structure

query($filter: IntegrationFilterType) {
  integrations {
    all(filter: $filter) {
      edges {
        node {
          id
          name
          integration_provider
          integration_type
          status
          enabled
          created_at
        }
      }
    }
  }
}

Filter Argument

All filters are passed inside the filter argument. Each filter field accepts an input object with operators:
{
  "filter": {
    "integration_provider": {
      "eq": "shopify"
    }
  }
}

Available Filters

FilterInput TypeOperatorsDescription
nameStringInputTypeeq, ilike, like, in, betweenIntegration name
integration_providerStringInputTypeeq, ilike, like, in, betweenProvider (e.g. shopify, brightpearl)
integration_typeStringInputTypeeq, ilike, like, in, betweenIntegration type
enabledBooleanInputTypeeqFilter by enabled status
statusStringInputTypeeq, ilike, like, in, betweenIntegration status

Filter Operators

Input TypeOperators
StringInputTypeeq (exact), ilike (case-insensitive partial), like (case-sensitive partial), in (array match), between (range)
IntegerInputTypeeq, gt, gteq, lt, lteq, between
DatetimeInputTypeeq, from, to, between
BooleanInputTypeeq (required)
IdInputTypeeq, gt, gteq, lt, lteq, in, filled
More fields and filters available via GraphQL introspection.

Authorizations

Authorization
string
header
required

OAuth 2.0 authentication. Use the client credentials or authorization code flow to obtain an access token.

X-Clarus-Subdomain
string
header
required

The subdomain/tenant name identifying which tenant's data to access. Required for all API requests.

Body

application/json
query
string<textarea>
required

GraphQL query string

Example:

"query($filter: IntegrationFilterType) { integrations { all(filter: $filter) { edges { node { id name integration_provider integration_type status enabled created_at } } } } }"

variables
object

Query variables including the filter object

Example:
{
"filter": {
"integration_provider": { "eq": "shopify" }
}
}

Response

Successful GraphQL response

data
object

Query result data

errors
object[]

GraphQL errors, if any